Disk Users
Remove Disk User
Removes an authorized user from a disk.
DELETE
/
api
/
disks
/
{id}
/
users
/
{userType}
Remove user from disk
curl --request DELETE \
--url https://control.green.us-east-1.aws.prod.archil.com/api/disks/{id}/users/{userType} \
--header 'Authorization: <api-key>'import requests
url = "https://control.green.us-east-1.aws.prod.archil.com/api/disks/{id}/users/{userType}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://control.green.us-east-1.aws.prod.archil.com/api/disks/{id}/users/{userType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>"
}
}{
"success": false,
"error": "Invalid request parameters"
}{
"success": false,
"error": "Invalid request parameters"
}{
"success": false,
"error": "Invalid request parameters"
}Authorizations
API key
Path Parameters
Disk ID (format dsk-{16 hex chars})
Pattern:
^dsk-[0-9a-f]{16}$Example:
"dsk-0123456789abcdef"
The type of user authentication
Available options:
token, awssts Query Parameters
Identifier of the user to remove, as returned in the creation or list response. For awssts users, this is the IAM ARN.
Use identifier instead.
Was this page helpful?
⌘I
Remove user from disk
